[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# assign(Tvector2_double):Tvector3_extended

Allow assignment of two-dimensional double precision vector to three-dimensional extended precision vector

## Declaration

Source position: matrix.pp line 283

`operator operator :=(`
`const v: Tvector2_double`
`):Tvector3_extended;`

## Description

This operator allows you to use a two-dimensional vector with double precision values wherever a three-dimensional vector with extended precision is expected. The third dimension is set to 0.0.